package com.cretin.webdb.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 存储的是logcat的信息
 * </p>
 *
 * @author Cretin
 * @since 2023-12-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TbLogcatStringItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 日志存储地址
     */
    private String logUrl;

    /**
     * mac地址
     */
    private String mac;

    private LocalDateTime addTime;

    /**
     * 文件大小
     */
    private String size;


}
